# Source code for azure.mgmt.automation.models.softare_update_configuration_run_task_properties_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class SoftareUpdateConfigurationRunTaskProperties(Model):
        """Task properties of the software update configuration.

        :param status: The status of the task.
        :type status: str
        :param source: The name of the source of the task.
        :type source: str
        :param job_id: The job id of the task.
        :type job_id: str
        """

        _attribute_map = {
            'status': {'key': 'status', 'type': 'str'},
            'source': {'key': 'source', 'type': 'str'},
            'job_id': {'key': 'jobId', 'type': 'str'},
        }

        def __init__(self, *, status: str=None, source: str=None, job_id: str=None, **kwargs) -> None:
            super(SoftareUpdateConfigurationRunTaskProperties, self).__init__(**kwargs)
            self.status = status
            self.source = source
            self.job_id = job_id